edu.wpi.first.networktables

## Class ConnectionNotification

- java.lang.Object
- - edu.wpi.first.networktables.ConnectionNotification

-     public final class ConnectionNotification
      extends java.lang.Object

  NetworkTables Connection notification.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `ConnectionInfo` | `conn` Connection information.
    `boolean` | `connected` True if event is due to connection being established.
    `int` | `listener` Listener that was triggered.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConnectionNotification(NetworkTableInstance inst, int listener, boolean connected, ConnectionInfo conn)` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `NetworkTableInstance` | `getInstance()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### listener

          public final int listener

      Listener that was triggered.

    - #### connected

          public final boolean connected

      True if event is due to connection being established.

    - #### conn

          public final ConnectionInfo conn

      Connection information.

  - ### Constructor Detail

    - #### ConnectionNotification

          public ConnectionNotification(NetworkTableInstance inst,
                                        int listener,
                                        boolean connected,
                                        ConnectionInfo conn)

      Constructor. This should generally only be used internally to NetworkTables.
      Parameters:
        `inst` - Instance
        `listener` - Listener that was triggered
        `connected` - Connected if true
        `conn` - Connection information

  - ### Method Detail

    - #### getInstance

          public NetworkTableInstance getInstance()